[Rainmeter]
Author=Yus
Update=1000

@Include=#SKINSPATH#SeenBesa\Weather\Fivedays.inc

[Variables]
iconx=342
icony=45r
iconw=40
iconh=35
pathn=images
FColor=255,255,255,255


;--------------------------->--Measures-->

[Measure_CityName]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=600
Url=#UrlNow#
RegExp="(?siU)<h1 class="entry-title">(.*)</h1>"
StringIndex=1

[Measure_Main]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=600
Url=#UrlNow#
RegExp="(?siU)<img class="symb" src="/img/symb-70x70/(.*).png.*<span class="(.*)"><strong>(.*)</strong>.*</span>.*<strong>(.*)</strong>.*<div class="right txt-tight">(.*)<br />.*<strong>(.*)</strong>.*<strong>(.*)</strong>.*<strong>(.*)</strong>.*<strong>(.*)</strong>.*<strong>(.*)</strong>.*<strong>(.*)</strong>.*<strong>(.*)</strong>.*<strong>(.*)</strong>"
StringIndex=1

[Measure_Icon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=1
Substitute="":"na.png"

[Measure_Temp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=3

[Measure_TextСur]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=5

[Measure_MS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=4

[Measure_Feels]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=6
Substitute="&deg;":"°C","":"--/--"


[Measure_Barometer]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=7
Substitute="":"--/--"

[Measure_Dewpoint]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=8
Substitute="&deg;":"°C","":"--/--"

[Measure_Humidity]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=9
Substitute="":"--/--"

[Measure_Visibility]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=10
Substitute="":"--/--"

[Measure_SunRise]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=11
Substitute="":"--/--"

[Measure_SunSet]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=12
Substitute="":"--/--"

[Measure_Longitude]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Measure_Main]
StringIndex=13
Substitute="":"--/--", "мин":"м"

[Measure_InputUrl]
Measure=Plugin
Plugin=InputText
SolidColor=1,26,62
FontColor=255,255,255,255
FontFace=Tahoma
Antialias=1
StringStyle=Italic
FontSize=#FontSize#
DefaultValue=#UrlNow#
X=20
Y=255
H=15
W=320
Command1=[!WriteKeyValue Variables UrlNow "$UserInput$" "#CURRENTPATH#Fivedays.inc"][!Refresh]



;--------------------------->--Meters-->

[Meter_Icon]
Meter=Image
MeasureName=Measure_Icon
Path="Images"
;ImageAlpha=200
X=0
Y=0

[BG]
Meter=Image
ImageName=Weather.png
X=0
Y=0

[Meter_TextСur]
Meter=String
MeasureName=Measure_TextСur
FontFace=DeusEx
FontColor=255,255,255,200
FontSize=7
;Text=Преимущественно облачно
X=8
Y=10
AntiAlias=1

[Meter_Temp]
Meter=String
MeasureName=Measure_Temp
FontFace=Agency FB
FontColor=255,255,255,170
FontSize=30
StringStyle=Bold
StringAlign=Right
;Text=+35°C
Postfix=°C
X=170
Y=38
AntiAlias=1

[Meter_MS]
Meter=String
MeasureName=Measure_MS
FontFace=Agency FB
FontColor=255,255,255,170
FontSize=11
StringStyle=Bold
;Text=3 м/с
X=17
Y=48
AntiAlias=1

[Meter_CityName]
Meter=String
MeasureName=Measure_CityName
FontFace=Tahoma
FontColor=255,255,255,170
FontSize=11
StringStyle=Bold
X=17
Y=80
AntiAlias=1

[textStyle]
FontFace=DeusEx
FontColor=255,255,255,200
FontSize=7
AntiAlias=1

[Meter_Feels]
Meter=String
MeasureName=Measure_Feels
MeterStyle=textStyle
Prefix="Ощущается как: "
X=20
Y=107

[Meter_Barometer]
Meter=String
MeasureName=Measure_Barometer
MeterStyle=textStyle
Prefix="Барометр: "
X=20
Y=127

[Meter_Dewpoint]
Meter=String
MeasureName=Measure_Dewpoint
MeterStyle=textStyle
Prefix="Точка росы: "
X=20
Y=147

[Meter_Humidity]
Meter=String
MeasureName=Measure_Humidity
MeterStyle=textStyle
Prefix="От. влаж-ть: "
X=20
Y=167

[Meter_Visibility]
Meter=String
MeasureName=Measure_Visibility
MeterStyle=textStyle
Prefix="Видимость: "
X=20
Y=187

[Meter_SunRise]
Meter=String
MeasureName=Measure_SunRise
MeterStyle=textStyle
Prefix="Восход солнца: "
X=20
Y=217

[Meter_SunSet]
Meter=String
MeasureName=Measure_SunSet
MeterStyle=textStyle
Prefix="Заход солнца: "
X=20
Y=237


[Meter_Longitude]
Meter=String
MeasureName=Measure_Longitude
MeterStyle=textStyle
Prefix="Дг-та дня: "
X=20
Y=257


[Meter_Set]
Meter=Image
Imagename=set.png
X=290
Y=16
Tooltiptext="Введите ссылку вашего города"
LeftMouseUpAction=[!CommandMeasure "Measure_InputUrl" "ExecuteBatch 1"]

[Meter_LabelForeca]
Meter=String
FontFace=Palatino Linotype
FontSize=12
FontColor=255,255,255,200
;StringEffect=Border
;FontEffectColor=0,0,0
X=310
Y=14
Text=Foreca.ru
AntiAlias=1
LeftMouseUpAction=[#UrlNow#]


;--------------------------->--MetersFivedays-->

[MeterDay0]
Meter=String
MeasureName=MeasureDay0
X=300
Y=60
FontColor=#FColor#
FontSize=7
FontFace=#FontF#
Antialias=1

[MeterDay1]
Meter=String
MeasureName=MeasureDay1
X=300
Y=45r
FontColor=#FColor#
FontSize=7
FontFace=#FontF#
Antialias=1

[MeterDay2]
Meter=String
MeasureName=MeasureDay2
X=300
Y=45r
FontColor=#FColor#
FontSize=7
FontFace=#FontF#
Antialias=1

[MeterDay3]
Meter=String
MeasureName=MeasureDay3
X=300
Y=45r
FontColor=#FColor#
FontSize=7
FontFace=#FontF#
Antialias=1

[MeterDay4]
Meter=String
MeasureName=MeasureDay4
X=300
Y=45r
FontColor=#FColor#
FontSize=7
FontFace=#FontF#
Antialias=1

;--------------------------Icons-->

[MeterDayIcon0]
Meter=Image
MeasureName=MeasureDayIcon3
MeasureName2=MeasureTooltip3
MeasureName3=MeasureDayTempMax3
MeasureName4=MeasureDayTempMin3
Path="#pathn#"
ImageAlpha=255
TooltipText=%3,%4  %2
DynamicVariables=1
W=#iconw#
H=#iconh#
X=#iconx#
Y=45

[MeterDayIcon1]
Meter=Image
MeasureName=MeasureDayIcon3
MeasureName2=MeasureTooltip3
MeasureName3=MeasureDayTempMax3
MeasureName4=MeasureDayTempMin3
Path="#pathn#"
ImageAlpha=255
TooltipText=%3,%4  %2
DynamicVariables=1
W=#iconw#
H=#iconh#
X=#iconx#
Y=#icony#

[MeterDayIcon2]
Meter=Image
MeasureName=MeasureDayIcon2
MeasureName2=MeasureTooltip2
MeasureName3=MeasureDayTempMax2
MeasureName4=MeasureDayTempMin2
Path="#pathn#"
ImageAlpha=255
TooltipText=%3,%4  %2
DynamicVariables=1
W=#iconw#
H=#iconh#
X=#iconx#
Y=#icony#

[MeterDayIcon3]
Meter=Image
MeasureName=MeasureDayIcon3
MeasureName2=MeasureTooltip3
MeasureName3=MeasureDayTempMax3
MeasureName4=MeasureDayTempMin3
Path="#pathn#"
ImageAlpha=255
TooltipText=%3,%4  %2
DynamicVariables=1
W=#iconw#
H=#iconh#
X=#iconx#
Y=#icony#

[MeterDayIcon4]
Meter=Image
MeasureName=MeasureDayIcon4
MeasureName2=MeasureTooltip4
MeasureName3=MeasureDayTempMax4
MeasureName4=MeasureDayTempMin4
Path="#pathn#"
ImageAlpha=255
TooltipText=%3,%4  %2
DynamicVariables=1
W=#iconw#
H=#iconh#
X=#iconx#
Y=#icony#
;-------------------------------------
